Bug 449604 - FTBFS kdebluetooth-1.0-0.41.beta8.fc9
FTBFS kdebluetooth-1.0-0.41.beta8.fc9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebluetooth (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
:
Depends On:
Blocks: FTBFS
  Show dependency treegraph
 
Reported: 2008-06-02 17:35 EDT by FTBFS
Modified: 2008-09-20 18:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-11 15:32:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log.bz2 (1.79 KB, application/x-bzip2)
2008-06-02 17:35 EDT, FTBFS
no flags Details
build.log.bz2 (456 bytes, application/x-bzip2)
2008-06-02 17:35 EDT, FTBFS
no flags Details
root.log.bz2 (2.94 KB, application/x-bzip2)
2008-06-02 17:35 EDT, FTBFS
no flags Details
build.log.bz2 (455 bytes, application/x-bzip2)
2008-06-02 17:35 EDT, FTBFS
no flags Details

  None (edit)
Description FTBFS 2008-06-02 17:35:07 EDT
kdebluetooth-1.0-0.41.beta8.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
Comment 1 FTBFS 2008-06-02 17:35:26 EDT
Created attachment 307979 [details]
root.log.bz2

root.log for i386
Comment 2 FTBFS 2008-06-02 17:35:37 EDT
Created attachment 307980 [details]
build.log.bz2

build.log for i386
Comment 3 FTBFS 2008-06-02 17:35:49 EDT
Created attachment 307981 [details]
root.log.bz2

root.log for x86_64
Comment 4 FTBFS 2008-06-02 17:35:57 EDT
Created attachment 307982 [details]
build.log.bz2

build.log for x86_64
Comment 5 Gilboa Davara 2008-06-03 12:25:59 EDT
I might be missing something - but I don't see any errors.
(Though, kdebluetooth won't be supported in F10 - being KDE3 only and having a
dead upstream - I've yet to get it to work reliably under F9...)

Can you post the actual build log? (Both build and root logs look clean [unless
I missed something])

- Gilboa
Comment 6 Matt Domsch 2008-06-03 12:57:42 EDT
ERROR: Bad build req: No Package Found for kdepim3-devel. Exiting.

rpm -qp --provides kdepim-devel-*
kdepim4-devel = 4.0.80-2.fc10
kdepim-devel = 6:4.0.80-2.fc10


Comment 7 Gilboa Davara 2008-06-03 15:08:42 EDT
Guessed as much.
As kde3 support libraries are to be removed from F10, kdebluetooth should be
removed too...

Any idea which procedure I should follow to get kdebluetooth removed for rawhide?

- Gilboa
Comment 9 Ville Skyttä 2008-07-05 06:11:57 EDT
Gilboa, don't do that just yet :)

http://sourceforge.net/project/shownotes.php?release_id=610960

Let me know if you need help with this, I think I can find some time next week
to take a look if needed.
Comment 10 Gilboa Davara 2008-07-08 09:15:16 EDT
Was about the post the same.
kdebletooth4 was officially released yesterday. [1].

I'll do some testing before packaging it for F9 and devel. (kdebluetooth3/F9 is
completely broken... :( )

- Gilboa
[1] http://bluetooth.kmobiletools.org/
Comment 11 FTBFS 2008-09-05 12:12:22 EDT
This package has Failed to Build From Source for many months.  Per
http://fedoraproject.org/wiki/FTBFS, this package is now proposed for
removal from the distribution.  Please address this FTBFS bug
immediately, or this package will be removed from the distribution
within the next few weeks.

Thank you for your continued contributions to Fedora, and your
commitment to ensuring Fedora packages remain buildable from source
code.
Comment 12 Ville Skyttä 2008-09-05 13:18:28 EDT
kdebluetooth4 0.2 was released a couple of days ago.  Gilboa, would you like me to have a look at packaging it?
Comment 13 Gilboa Davara 2008-09-05 17:13:50 EDT
Thanks for the head's up. kdebluetooth web site only has 0.1 (which was pretty broken).

Never the less, if you have free time, feel free to package it. Thanks for the offer. :)
(If you can't I'll free up some time and do it ASAP. [I promised myself to do it last week... but :(])

One problem - though. (That I couldn't really solve).
kdebluetooth 3.5.x was 0.9.beta.something.
kdelbuetooth 4 is 0.2.x.
And kdebluetooth4 must obsolete kdebluetooth - or we'll face an EVR problem.
We'll need to create a new kdebluetooth4 branch in the CVS. (Unless you I missed something)

- Gilboa
Comment 14 Ville Skyttä 2008-09-10 13:45:26 EDT
http://scop.fedorapeople.org/packages/kdebluetooth4.spec

This one builds and kinda sorta works.  The only useful thing I managed to in a 2 minute test do was to send a file to my mobile phone, and after that kbluetooth4 crashed.  I have no BT input devices handy so I could not test that stuff.

I don't see any problem with obsoleting the old version and just getting a new CVS dir structure and a devel branch for kdebluetooth4 when we think this is ready for general consumption.
Comment 15 Ville Skyttä 2008-09-11 15:18:36 EDT
(CCing Rex who has worked on the old kdebluetooth too.)

Testing and comments very much welcome about the new kdebluetooth4 package (comment 14).
Comment 16 Rex Dieter 2008-09-11 15:32:26 EDT
I just fixed the current kde3-based build in rawhide.

When/if you use kdebluetooth4, I'd recommend simply sticking with 
Name: kdebluetooth
and use
Epoch: 1
to handle the upgrade for you.

Imo, if you're gonna pull the trigger here, do it soon, before the beta.
Comment 17 Rex Dieter 2008-09-11 15:33:31 EDT
Re: Epoch 
and using Obsoletes for previous/stray subpkgs, of course, like -libs
Comment 18 Gilboa Davara 2008-09-14 09:47:34 EDT
I assume that by default (read: in-case Epoc was not defined) Epoc is auto-defined as 0?

Ville - if you don't mind I'll upload a fixed version within the next hour or so.
(I rather revert to the old bin/libs/devel structure to reduce the multilib problems)

- Gilboa
Comment 19 Gilboa Davara 2008-09-14 10:04:26 EDT
Please ignore the previous comment. Seem to had a broken combo kdebluetooth3/4 installation. (that created the so files.)

http://gilboadavara.thecodergeek.com/kdebluetooth.spec

Ville/Rex,
Seems OK to you?

- Gilboa "late to the party, as usual..." Davara
Comment 20 Ville Skyttä 2008-09-14 15:36:39 EDT
Fine with me, but a couple of remarks:

Please make the Obsoletes versioned, ie.
Obsoletes: %{name}-libs < 1:0.2
Obsoletes: %{name}-devel < 1:0.2

The old %description may no longer be accurate (esp. the first sentence), that's why I switched it to the short description they have for kdebluetooth4 on the project website.
Comment 21 Gilboa Davara 2008-09-15 06:48:32 EDT
Ville,

Thanks - my mistake, I should have kept the Obsoletes versions.
Fixed.
http://gilboadavara.thecodergeek.com/kdebluetooth.spec


As for the description - from [1]:
"The KDE Bluetooth Framework is a set of tools built on top of Linux' Bluetooth stack BlueZ. Our goal is to provide easy access to the most common Bluetooth profiles and to make data exchange with Bluetooth enabled phones and PDAs as straightforward as possible."

While kdebluetooth4 is not as extensive as its KDE 3.5 counter-part, AFAIK, the project goals have more-or-less remained the same.

Anyway, if it looks OK to you, I'll commit to the cvs and issue and rawhide build.
Unless I hear anything, I'll wait a week and commit it to F9-updates as well.

- Gilboa
[1] http://bluetooth.kmobiletools.org/
Comment 22 Ville Skyttä 2008-09-15 11:05:07 EDT
Sure, go ahead.

But as I mentioned, the first sentence of the old description might no longer be accurate - kdebluetooth4 is not currently directly built on top of BlueZ, it uses something else (Solid?) from KDE 4.  But I don't really care that much, you make the call with the description.
Comment 23 Gilboa Davara 2008-09-20 18:22:08 EDT
OK. 0.2 pushed.

Ville/Rex: Thanks for the help.

- Gilboa

Note You need to log in before you can comment on or make changes to this bug.